Name:          fonttools
Version:       4.53.0
Release:       %mkrel 1
Summary:       A tool to convert True/OpenType fonts to XML and back
Group:         Development/Other
License:       BSD
Url:           https://github.com/fonttools/fonttools
Source0:       https://github.com/fonttools/fonttools/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: glibc-devel
Requires:      python3-fonttools
Requires:      python3-setuptools

%description
TTX/FontTools is a tool to convert OpenType and TrueType fonts to and
from XML. FontTools is a library for manipulating fonts, written in Python.
It supports TrueType, OpenType, AFM and to an extent Type 1 and some
Mac-specific formats.

%package -n python3-fonttools
Summary:       Python 3 fonttools library
%{?python_provide:%python_provide python3-%{name}}
BuildRequires: pkgconfig(python3)
BuildRequires: python3dist(setuptools)
BuildRequires: pyproject-rpm-macros
# Extra requires
Requires:      python3dist(fs)
Requires:      python3dist(lxml)
Requires:      python3dist(brotli)
Requires:      python3dist(zopfli)
Requires:      python3dist(lz4)
Requires:      python3dist(scipy)
Requires:      python3dist(matplotlib)
Requires:      python3dist(sympy)
# Obsoletes:
Obsoletes:     python3-ufolib < 4

%description -n python3-fonttools
TTX/FontTools is a tool for manipulating TrueType and OpenType fonts. It is
written in Python and has a BSD-style, open-source license. TTX can dump
TrueType and OpenType fonts to an XML-based text format and vice versa.

%pyproject_extras_subpkg -n python3-fonttools graphite interpolatable lxml plot symfont type1 ufo unicode woff

%prep
%autosetup -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fontTools

%files
%{_bindir}/%{name}
%{_bindir}/pyft*
%{_bindir}/ttx
%{_mandir}/man1/ttx.1*

%files -n python3-fonttools -f %{pyproject_files}
%doc NEWS.rst
%license LICENSE


%changelog
* Wed Jul 03 2024 daviddavid <daviddavid> 4.53.0-1.mga10
+ Revision: 2079177
- new version: 4.53.0

* Mon Jun 03 2024 daviddavid <daviddavid> 4.52.4-1.mga10
+ Revision: 2069585
- new version: 4.52.4

* Mon Apr 01 2024 daviddavid <daviddavid> 4.50.0-1.mga10
+ Revision: 2053614
- new version: 4.50.0

* Wed Mar 06 2024 daviddavid <daviddavid> 4.49.0-2.mga10
+ Revision: 2047768
- enable graphite, interpolatable, plot, symfont and type1 extras sub-pkgs

* Wed Mar 06 2024 daviddavid <daviddavid> 4.49.0-1.mga10
+ Revision: 2047763
- new version: 4.49.0

* Wed Dec 20 2023 joequant <joequant> 4.47.0-1.mga10
+ Revision: 2020552
- rebuild to 4.47 - update to py3.12

* Mon Dec 18 2023 tv <tv> 4.43.1-2.mga10
+ Revision: 2018850
- Rebuild for python 3.12

* Wed Nov 01 2023 daviddavid <daviddavid> 4.43.1-1.mga10
+ Revision: 2003357
- new version: 4.43.1

* Sun Oct 23 2022 wally <wally> 4.38.0-2.mga9
+ Revision: 1898812
- build woff extras subpkg

* Sun Oct 23 2022 wally <wally> 4.38.0-1.mga9
+ Revision: 1898724
- new version 4.38.0

* Thu Oct 20 2022 wally <wally> 4.37.4-2.mga9
+ Revision: 1897968
- restore extras subpkgs removed mistakenly in r1895096

* Thu Oct 06 2022 neoclust <neoclust> 4.37.4-1.mga9
+ Revision: 1895096
+ rebuild (emptylog)

* Wed Mar 23 2022 umeabot <umeabot> 4.24.4-3.mga9
+ Revision: 1822561
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 4.24.4-2.mga9
+ Revision: 1774372
- Rebuild for python 3.10

* Fri Jun 25 2021 wally <wally> 4.24.4-1.mga9
+ Revision: 1732295
- new version 4.24.4

* Tue Apr 20 2021 wally <wally> 4.22.0-1.mga9
+ Revision: 1717659
- new version 4.22.0
- add lxml extras pkg

* Sat Mar 20 2021 tv <tv> 4.18.2-4.mga9
+ Revision: 1705616
- rebuild for python-3.9.2

* Sat Mar 20 2021 daviddavid <daviddavid> 4.18.2-3.mga9
+ Revision: 1705556
- rebuild for python 3.9

* Wed Jan 06 2021 daviddavid <daviddavid> 4.18.2-2.mga8
+ Revision: 1669243
- add fonttools[ufo] and fonttools[unicode] extras subpackages

* Wed Dec 30 2020 akien <akien> 4.18.2-1.mga8
+ Revision: 1665662
- Version 4.18.2

* Sun Dec 06 2020 akien <akien> 4.18.0-1.mga8
+ Revision: 1654033
- Version 4.18.0

* Thu Nov 26 2020 akien <akien> 4.17.1-1.mga8
+ Revision: 1649379
- Version 4.17.1

* Mon Oct 19 2020 akien <akien> 4.16.1-1.mga8
+ Revision: 1637001
- Version 4.16.1

* Sun Sep 27 2020 wally <wally> 4.15.0-1.mga8
+ Revision: 1630733
- new version 4.15.0

* Sun Jun 21 2020 wally <wally> 4.12.1-1.mga8
+ Revision: 1598181
- new version 4.12.1

* Wed May 20 2020 daviddavid <daviddavid> 4.10.1-1.mga8
+ Revision: 1586314
- new version: 4.10.1

* Fri Feb 21 2020 daviddavid <daviddavid> 4.4.0-1.mga8
+ Revision: 1548808
- new version: 4.4.0

* Thu Feb 20 2020 umeabot <umeabot> 4.3.0-2.mga8
+ Revision: 1546518
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 4.3.0-1.mga8
+ Revision: 1486697
- new version: 4.3.0

* Fri Jan 03 2020 wally <wally> 4.2.2-2.mga8
+ Revision: 1475793
- update requires
- obsolete old ufolib which was migrated into fonttools

* Thu Jan 02 2020 wally <wally> 4.2.2-1.mga8
+ Revision: 1475499
- new version 4.2.2

* Mon Sep 16 2019 daviddavid <daviddavid> 3.44.0-3.mga8
+ Revision: 1442603
- rebuild for python3.8

* Sat Sep 14 2019 tv <tv> 3.44.0-2.mga8
+ Revision: 1440589
- rebuild for python-3.8

* Mon Aug 19 2019 wally <wally> 3.44.0-1.mga8
+ Revision: 1430067
- new version 3.44.0
- drop python2 support

* Wed Mar 13 2019 daviddavid <daviddavid> 3.38.0-1.mga7
+ Revision: 1375259
- new version: 3.38.0

* Tue Feb 12 2019 daviddavid <daviddavid> 3.37.3-1.mga7
+ Revision: 1366042
- new version: 3.37.3

* Mon Jan 07 2019 shlomif <shlomif> 3.35.0-1.mga7
+ Revision: 1351282
- Rebuild for python3 3.7

* Fri Dec 21 2018 daviddavid <daviddavid> 3.34.2-1.mga7
+ Revision: 1343988
- new version: 3.34.2

* Sat Nov 03 2018 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1327940
- new version: 3.32.0

* Thu Sep 20 2018 umeabot <umeabot> 3.27.1-2.mga7
+ Revision: 1278267
- Mageia 7 Mass Rebuild

* Mon Jun 18 2018 akien <akien> 3.27.1-1.mga7
+ Revision: 1237722
- Version 3.27.1

* Sat May 05 2018 wally <wally> 3.26.0-1.mga7
+ Revision: 1226567
- new version 3.26.0

* Sat Aug 26 2017 akien <akien> 3.15.1-1.mga7
+ Revision: 1147973
- Version 3.15.1

* Sat Aug 05 2017 pterjan <pterjan> 3.13.1-2.mga7
+ Revision: 1135212
- Rebuild for python 3.6

* Sat Jun 03 2017 akien <akien> 3.13.1-1.mga6
+ Revision: 1105910
- Version 3.13.1

* Fri Jun 02 2017 akien <akien> 3.13.0-1.mga6
+ Revision: 1105843
- Version 3.13.0

* Thu May 25 2017 akien <akien> 3.12.1-1.mga6
+ Revision: 1104582
- Version 3.12.1

* Thu Apr 20 2017 akien <akien> 3.10.0-1.mga6
+ Revision: 1096971
- Version 3.10.0

* Sat Mar 11 2017 akien <akien> 3.8.0-1.mga6
+ Revision: 1091871
- Version 3.8.0

* Mon Feb 20 2017 akien <akien> 3.7.2-1.mga6
+ Revision: 1087020
- Version 3.7.2

* Fri Feb 17 2017 akien <akien> 3.7.1-1.mga6
+ Revision: 1086534
- Version 3.7.1

* Sun Feb 12 2017 akien <akien> 3.7.0-1.mga6
+ Revision: 1085897
- Version 3.7.0

* Wed Feb 08 2017 akien <akien> 3.6.3-1.mga6
+ Revision: 1085159
- Version 3.6.3

* Fri Feb 03 2017 akien <akien> 3.6.2-1.mga6
+ Revision: 1084662
- Version 3.6.2

* Sun Jan 29 2017 akien <akien> 3.6.1-1.mga6
+ Revision: 1084063
- Version 3.6.1

* Fri Apr 01 2016 daviddavid <daviddavid> 3.0-6.mga6
+ Revision: 997301
- add patch0 from fedora to fix rh#1240265 - fonttools 2.5 takes too much memory

* Sat Feb 20 2016 umeabot <umeabot> 3.0-5.mga6
+ Revision: 972413
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 tv <tv> 3.0-4.mga6
+ Revision: 897714
- add py3 subpackage

* Mon Nov 02 2015 daviddavid <daviddavid> 3.0-3.mga6
+ Revision: 897303
- use new python macros to fix build
- use a named and versionned tarball from github

* Wed Sep 16 2015 tv <tv> 3.0-2.mga6
+ Revision: 879760
- make it buildarch thus really fixing empty debuginfo

* Sun Sep 13 2015 ycantin <ycantin> 3.0-1.mga6
+ Revision: 878942
- new version 3.0
  fix URLs and desc

* Wed Sep 09 2015 neoclust <neoclust> 2.5-2.mga6
+ Revision: 875057
- Fix build with new rpm ( empty debuginfo)

* Tue Jun 30 2015 tv <tv> 2.5-1.mga6
+ Revision: 848691
- fix build
- new release

* Wed Oct 15 2014 umeabot <umeabot> 2.4-5.mga5
+ Revision: 749681
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.4-4.mga5
+ Revision: 726240
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.4-3.mga5
+ Revision: 679294
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.4-2.mga5
+ Revision: 628185
- Rebuild for new Python

* Mon Feb 10 2014 sander85 <sander85> 2.4-1.mga5
+ Revision: 589091
- New version: 2.4

* Tue Oct 22 2013 umeabot <umeabot> 2.3-4.mga4
+ Revision: 542592
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 2.3-3.mga4
+ Revision: 497752
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jan 11 2013 umeabot <umeabot> 2.3-2.mga3
+ Revision: 350746
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 gil <gil> 2.3-1.mga2
+ Revision: 163840
- imported package fonttools


* Mon Jun 20 2011 gil <gil> 2.3-0.%%mkrel
- initial rpm